<?php

namespace App\Http\Controllers\Panel;

use App\Http\Controllers\Controller;
use App\Models\Wallet;

class WalletController extends Controller
{
    public function index()
    {
        $wallet       = Wallet::forUser(auth()->user());
        $transactions = $wallet->transactions()->paginate(15);

        return view('panel.wallet.index', compact('wallet', 'transactions'));
    }
}
